/* ============================================= */
/* CSS for control sap.ui.unified/Legend.control */
/* ============================================= */
.sapUiUnifiedLegend {
	color: @sapUiContentLabelColor;
	font-familiy: @sapUiFontFamily;
	font-size: @sapUiFontSmallSize;
	font-weight: normal;
	padding: 12px;
	column-gap: 8px;
	-moz-column-gap: 8px; /* Firefox */
	-webkit-column-gap: 8px; /* Safari and Chrome */
}

.sapUiUnifiedLegendItem {
	display: inline-block;
	width: 100%;
	margin: 4px;
}

.sapUiUnifiedLegendDescription {
	vertical-align: middle;
	white-space: nowrap;
	text-overflow: ellipsis;
	overflow: hidden;
	cursor: default;
}

.sapUiUnifiedLegendSquare {
	height: 16px;
	width: 16px;
	margin-right: 8px;
	background: @sapUiListBackground;
	float: left;
}

.sapUiUnifiedLegendSquareColor {
	height: 14px;
	width: 14px;
	margin: 1px;
	background: lighten(@sapUiContentForegroundColor, 5);
}

.sapUiUnifiedLegendSquareSelected {
	height: 10px;
	width: 10px;
	background: white;
	border: 2px solid @sapUiPurple;

}